package m05bTasasEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05Tasas</tt>.
 */
public class m05TasasPK implements java.io.Serializable {

  /** 
   * This is the primary key.
   * It is the tasa codigo, which is the primary key 
   * in table <tt>m0532t00</tt>.
   */
  public String tas_codigo;
  
  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean   
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05TasasPK) {
      m05TasasPK otherKey = (m05TasasPK) obj;
      return ((this.tas_codigo == otherKey.tas_codigo));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return Integer.parseInt(this.tas_codigo);
  }    
  
}
